'use strict';

/**
 * trigger event
 * https://stackoverflow.com/questions/2490825/how-to-trigger-event-in-javascript
 */
var trigger = (element, event, eventType) => {
  if (document.createEventObject) {
    var e = document.createEventObject();
    return element.fireEvent('on' + event, e);
  } else {
    var _e = document.createEvent(eventType || 'HTMLEvents');

    _e.initEvent(event, true, true);

    element.dispatchEvent(_e);
  }
};

module.exports = trigger;
